javax.faces.component.html

## Enum HtmlInputFile.PropertyKeys

- java.lang.Object
- - java.lang.Enum<HtmlInputFile.PropertyKeys>
  - - javax.faces.component.html.HtmlInputFile.PropertyKeys

- All Implemented Interfaces:
    Serializable, Comparable<HtmlInputFile.PropertyKeys>
  Enclosing class:
    HtmlInputFile

      protected static enum HtmlInputFile.PropertyKeys
      extends Enum<HtmlInputFile.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `alt`
    `autocomplete`
    `dir`
    `disabled`
    `label`
    `lang`
    `maxlength`
    `onblur`
    `onchange`
    `onclick`
    `ondblclick`
    `onfocus`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `onselect`
    `readonly`
    `role`
    `size`
    `style`
    `styleClass`
    `tabindex`
    `title`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static HtmlInputFile.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HtmlInputFile.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final HtmlInputFile.PropertyKeys accesskey

    - #### alt

          public static final HtmlInputFile.PropertyKeys alt

    - #### autocomplete

          public static final HtmlInputFile.PropertyKeys autocomplete

    - #### dir

          public static final HtmlInputFile.PropertyKeys dir

    - #### disabled

          public static final HtmlInputFile.PropertyKeys disabled

    - #### label

          public static final HtmlInputFile.PropertyKeys label

    - #### lang

          public static final HtmlInputFile.PropertyKeys lang

    - #### maxlength

          public static final HtmlInputFile.PropertyKeys maxlength

    - #### onblur

          public static final HtmlInputFile.PropertyKeys onblur

    - #### onchange

          public static final HtmlInputFile.PropertyKeys onchange

    - #### onclick

          public static final HtmlInputFile.PropertyKeys onclick

    - #### ondblclick

          public static final HtmlInputFile.PropertyKeys ondblclick

    - #### onfocus

          public static final HtmlInputFile.PropertyKeys onfocus

    - #### onkeydown

          public static final HtmlInputFile.PropertyKeys onkeydown

    - #### onkeypress

          public static final HtmlInputFile.PropertyKeys onkeypress

    - #### onkeyup

          public static final HtmlInputFile.PropertyKeys onkeyup

    - #### onmousedown

          public static final HtmlInputFile.PropertyKeys onmousedown

    - #### onmousemove

          public static final HtmlInputFile.PropertyKeys onmousemove

    - #### onmouseout

          public static final HtmlInputFile.PropertyKeys onmouseout

    - #### onmouseover

          public static final HtmlInputFile.PropertyKeys onmouseover

    - #### onmouseup

          public static final HtmlInputFile.PropertyKeys onmouseup

    - #### onselect

          public static final HtmlInputFile.PropertyKeys onselect

    - #### readonly

          public static final HtmlInputFile.PropertyKeys readonly

    - #### role

          public static final HtmlInputFile.PropertyKeys role

    - #### size

          public static final HtmlInputFile.PropertyKeys size

    - #### style

          public static final HtmlInputFile.PropertyKeys style

    - #### styleClass

          public static final HtmlInputFile.PropertyKeys styleClass

    - #### tabindex

          public static final HtmlInputFile.PropertyKeys tabindex

    - #### title

          public static final HtmlInputFile.PropertyKeys title

  - ### Method Detail

    - #### values

          public static HtmlInputFile.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlInputFile.PropertyKeys c : HtmlInputFile.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlInputFile.PropertyKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<HtmlInputFile.PropertyKeys>`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.